Skip to main content

Authorization Reversals


You can reverse an authorized payment when you or the customer decide to cancel the payment. Reversing an authorization releases the held funds in the customer's account. An authorization reversal requires the request ID from a successful Affirm authorization request.

A successful authorization reversal request is indicated by the AUTH_REVERSED status in the status response field. When you receive the AUTH_REVERSED status, the authorization reversal is complete and the purchase is successfully cancelled.

For the authorization reversal endpoint, see Affirm API Endpoints.

Endpoint

POST /pts/v2/payments/{id}/reversals

POST /pts/v2/payments/{id}/reversals

Example

{  "paymentInformation": {    "paymentType": {      "name": "INVOICE",      "method": {        "name": "AFFIRM"      }    }  },  "processingInformation": {    "actionList": "AP_AUTH_REVERSAL"  }}
{    "_links": {        "self": {            "method": "POST",            "href": "/pts/v2/reversals/7297987899476963603955"        },        "status": {            "method": "POST",            "href": "/pts/v2/refresh-payment-status/7297987899476963603955"        }    },    "clientReferenceInformation": {        "code": "1729798790108"    },    "id": "7297987899476963603955",    "processorInformation": {        "responseDetails": "00007",        "responseCode": "00007"    },    "reconciliationId": "XFZ3Y2N91FVG",    "reversalAmountDetails": {        "reversedAmount": "0"    },    "status": "AUTH_REVERSED",    "submitTimeUtc": "2024-10-24T19:39:54Z"}
FieldTypeDescription
paymentInformation.paymentType.method.nameSet to AFFIRM.
paymentInformation.paymentType.nameSet to INVOICE.
processingInformation.actionListSet to AP_AUTH_REVERSAL.

Response Statuses

responds with one of these statuses in the status response field.

  • AUTH_REVERSED: The authorization reversal is complete and the purchase is cancelled.
  • FAILED: The authorization reversal request is not successful. Send a new authorization reversal request.

also provides a reconciliation ID for tracking and reporting purposes in the reconciliationId response field.

Last published: September 29, 2026